#include "VoidStationEnergyInteraction.h"
#include "Net/UnrealNetwork.h"

void UVoidStationEnergyInteraction::OnRep_SpawnedChargeable()
{

}

void UVoidStationEnergyInteraction::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UVoidStationEnergyInteraction, _spawnedChargeable);
	DOREPLIFETIME(UVoidStationEnergyInteraction, _correspondingPlayer);
}

UVoidStationEnergyInteraction::UVoidStationEnergyInteraction()
{

}
